﻿@model SSCMvc.Models.Tb_IELTSResult
@using SSCMvc.Models;
@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Detail of IELTS / PTE Test
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<table align="center" width="750px">
    <tr>
        <td align="left">
            <fieldset>
                <legend>IELTS / PTE Result Detail</legend>
                <table align="center" width="750px">
                    <tr>
                        <td class="display-label" width="120px">
                            @Html.DisplayNameFor(model => model.StudentId)
                        </td>
                        <td class="display-field" width="250px">
                            @{
                                SSCWebDBEntities1 db = new SSCWebDBEntities1();
                            }
                            @{   if (Model.StudentType == "Admission")
                               {
                                   MaAdmission objAdm = db.MaAdmissions.Where(z => z.Id == Model.StudentId).First();
                                @objAdm.FirstName @objAdm.LastName
                               }
                               if (Model.StudentType == "Enquiry")
                               {
                                   MaEnquiry objAdm = db.MaEnquiries.Where(z => z.Id == Model.StudentId).First();
                                @objAdm.FirstName @objAdm.LastName
                               }
                            }
                        </td>
                        <td class="display-label" width="120px">
                            REF.NO./Roll NO.
                        </td>
                        <td class="display-field" width="250px">

                            @{   if (Model.StudentType == "Admission")
                               {
                                   MaAdmission objAdm = db.MaAdmissions.Where(z => z.Id == Model.StudentId).First();
                                @objAdm.RollNo
                               }
                               if (Model.StudentType == "Enquiry")
                               {
                                   MaEnquiry objAdm = db.MaEnquiries.Where(z => z.Id == Model.StudentId).First();
                                @objAdm.Id
                               }
                            }

                        </td>
                    </tr>
                    <tr>
                        <td class="display-label" width="120px">
                            Category
                        </td>
                        <td class="display-field" width="250px">
                            @Html.DisplayFor(model => model.Category)
                        </td>
                        <td class="display-label" width="120px">
                            @Html.DisplayNameFor(model => model.TestDate)
                        </td>
                        <td class="display-field" width="250px">
                            @Html.DisplayFor(model => model.TestDate)
                        </td>
                    </tr>
                    <tr>
                        <td class="display-label" width="120px">
                            @Html.DisplayNameFor(model => model.CourseId)
                        </td>
                        <td class="display-field" width="250px">
                            @Html.DisplayFor(model => model.CourseId)
                        </td>
                        <td class="display-label" width="120px">
                            Timing
                        </td>
                        <td class="display-field" width="250px">
                            @Html.DisplayFor(model => model.TimeId)
                        </td>
                    </tr>
                    <tr>
                        <td class="display-label" width="120px">
                            @Html.DisplayNameFor(model => model.LBand)
                        </td>
                        <td class="display-field" width="250px">
                            @Html.DisplayFor(model => model.LBand)
                        </td>

                        <td class="display-label" width="120px">
                            @Html.DisplayNameFor(model => model.RBand)
                        </td>
                        <td class="display-field" width="250px">
                            @Html.DisplayFor(model => model.RBand)
                        </td>

                        
                    </tr>
                    <tr>
                        <td class="display-label" width="120px">
                            @Html.DisplayNameFor(model => model.WBand)
                        </td>
                        <td class="display-field" width="250px">
                            @Html.DisplayFor(model => model.WBand)
                        </td>
                        <td class="display-label" width="120px">
                            @Html.DisplayNameFor(model => model.SBand)
                        </td>
                        <td class="display-field" width="250px">
                            @Html.DisplayFor(model => model.SBand)
                        </td>
                    </tr>
                    <tr>
                        <td class="display-label" width="120px">
                            @Html.DisplayNameFor(model => model.Overall)
                        </td>
                        <td class="display-field" width="250px">
                            @Html.DisplayFor(model => model.Overall)
                        </td>
                        <td class="display-label" width="120px">
                            @Html.DisplayNameFor(model => model.CDate)
                        </td>
                        <td class="display-field" width="250px">
                            @Html.DisplayFor(model => model.CDate)
                        </td>
                    </tr>
                    <tr>
                        <td class="display-label" width="120px">
                            Entered By
                        </td>
                        <td class="display-field" width="250px">
                            @Html.DisplayFor(model => model.User.Fullname)
                        </td>

                        <td>
                            @Html.DisplayNameFor(model => model.ExamBody)
                        </td>
                        <td>
                            @Html.DisplayFor(model => model.ExamBody)
                        </td>

                    </tr>

                    <tr>
                        <td class="display-label" width="120px">
                            @Html.DisplayNameFor(model => model.Remarks)
                        </td>
                        <td class="display-field" width="250px">
                            @Html.DisplayFor(model => model.Remarks)
                        </td>
                    </tr>
                    <tr>
                        <td class="display-label" width="120px">
                            @Html.DisplayNameFor(model => model.Passport)
                        </td>
                        <td class="display-field" width="250px">
                            @Html.DisplayFor(model => model.Passport)
                        </td>
                    </tr>
                </table>
            </fieldset>
        </td>
    </tr>
    <tr>
        <td align="left"></td>
    </tr>
</table>
<table>
    <tr>
        <td>
            @Html.Action("_AllDetailOfStudnt")
        </td>
    </tr>
</table>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Back to List", "Index")
</p>
